commit:     30175f8d0e50d35a0924bf8ae6c0d4b4e7e4c559
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 18 23:17:48 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Fri Nov 18 23:25:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30175f8d

dev-db/redis: bump for bug #589044.

Package-Manager: portage-2.3.2

 dev-db/redis/Manifest                          |   1 +
 dev-db/redis/files/configure.ac-3.2            |  66 +++++++++++++
 dev-db/redis/files/redis-3.2.3-config.patch    |  40 ++++++++
 dev-db/redis/files/redis-3.2.3-sharedlua.patch |  60 ++++++++++++
 dev-db/redis/files/redis-3.2.5-shared.patch    |  30 ++++++
 dev-db/redis/metadata.xml                      |   1 +
 dev-db/redis/redis-3.2.5-r1.ebuild             | 123 ++++++++++++++++++++++++
 dev-db/redis/redis-3.2.5.ebuild                | 124 +++++++++++++++++++++++++
 8 files changed, 445 insertions(+)

diff --git a/dev-db/redis/Manifest b/dev-db/redis/Manifest
index 36748f9..89e4aae 100644
--- a/dev-db/redis/Manifest
+++ b/dev-db/redis/Manifest
@@ -6,3 +6,4 @@ DIST redis-3.0.5.tar.gz 1366160 SHA256 
4c176826eee909fbdc63db1c15adc22aab42d7580
 DIST redis-3.0.6.tar.gz 1372648 SHA256 
6f1e1523194558480c3782d84d88c2decf08a8e4b930c56d4df038e565b75624 SHA512 
cb29b2ed6db4a77ffafc27a94deb71b73332f4e05b63957ac870532a634d7aaf1df4225aec8bc3011322b6df35a7f0e7c3f3bb070e29aabd3dabdb5cfbb681d4
 WHIRLPOOL 
ce0de5aa188d8c631456ea5bf6346357676eb8c5f0f6bc69a704f7d35559ec6a4f5c0e583e321f546fc91c6c51d0331065d64be601864e033ce7d47da002d71b
 DIST redis-3.0.7.tar.gz 1375200 SHA256 
b2a791c4ea3bb7268795c45c6321ea5abcc24457178373e6a6e3be6372737f23 SHA512 
6c8f4c88d911e1433fd28efff2f6d62763e08be89814ebf4aa4e68e2c8bd605eba24ca3410548b2f480ae094437ce96c0bafa7a5762b3b405d5d850886297ba3
 WHIRLPOOL 
53c2c967b999bbcb5b45117bbad74b46457158ad94e8c43566311dd3d58c63c2d0cc2dac5dc9e8806821c2532ee4beded17e039da4ddeae958e5a0092429ee3a
 DIST redis-3.2.0.tar.gz 1525900 SHA256 
989f1af3dc0ac1828fdac48cd6c608f5a32a235046dddf823226f760c0fd8762 SHA512 
02a046080d070a81d38f4e8868ae85ace2db26718fc292388a94fd8f0ac45fe071f1536b3197e22451f99848dcd110469005f84456b8455836b2779eeb554d49
 WHIRLPOOL 
d12e1f1b5ffc4170844f007ee7e25ef893fd59872bff45f95d9702cc54e0847fc66816bfa22b67f89b0570c9da167a7311a2b27f959fcf8348bb129d647498ed
+DIST redis-3.2.5.tar.gz 1544040 SHA256 
8509ceb1efd849d6b2346a72a8e926b5a4f6ed3cc7c3cd8d9f36b2e9ba085315 SHA512 
4ecf6277c8fdf4411223b9f5a5c8308829da9bd756b45de5217d469e9def8faad8c05b6348c06aef99eca9245d45abfd52df056c3c819723da66a2ca20c381dd
 WHIRLPOOL 
db1eecac5e407734002d39cc16f708fcb1f506829df4dabda53bffc7012746a23ea2342cded4d90f39db72ba61eda349b80b4a3e4f1eba06dbaa6cad8c50264e

diff --git a/dev-db/redis/files/configure.ac-3.2 
b/dev-db/redis/files/configure.ac-3.2
new file mode 100644
index 00000000..3e2cf92
--- /dev/null
+++ b/dev-db/redis/files/configure.ac-3.2
@@ -0,0 +1,66 @@
+#                                               -*- Autoconf -*-
+# Process this file with autoconf to produce a configure script.
+
+AC_PREREQ(2.63)
+AC_INIT(redis, 3.2.3, [email protected])
+AM_CFLAGS="-std=c99 -pedantic -Wall -W -D__EXTENSIONS__ -D_XPG6"
+if test x"$CFLAGS" = x""; then
+    AM_CFLAGS="$AM_CFLAGS -O2"
+else
+    AM_CFLAGS="$AM_CFLAGS $CFLAGS"
+fi
+
+# options
+AC_MSG_CHECKING([whether to build with debug information])
+AC_ARG_ENABLE([debug],
+    [AS_HELP_STRING([--enable-debug],
+        [enable debug data generation (def=no)])],
+    [debugit="$enableval"],
+    [debugit=no])
+AC_MSG_RESULT([$debugit])
+
+if test x"$debugit" = x"yes"; then
+    AC_DEFINE([DEBUG],[],[Debug Mode])
+    AM_CFLAGS="$AM_CFLAGS -g -rdynamic -ggdb"
+else
+    AC_DEFINE([NDEBUG],[],[No-debug Mode])
+fi
+AC_SUBST([AM_CFLAGS])
+
+# Checks for programs.
+AC_PROG_CC
+
+# Checks for libraries.
+
+# Checks for header files.
+AC_CHECK_HEADERS([arpa/inet.h fcntl.h inttypes.h limits.h netdb.h netinet/in.h 
stdlib.h string.h sys/socket.h sys/time.h unistd.h])
+
+# Checks for typedefs, structures, and compiler characteristics.
+AC_HEADER_STDBOOL
+AC_C_INLINE
+AC_TYPE_INT16_T
+AC_TYPE_INT32_T
+AC_TYPE_OFF_T
+AC_TYPE_PID_T
+AC_TYPE_SIZE_T
+AC_TYPE_SSIZE_T
+AC_TYPE_UINT16_T
+AC_TYPE_UINT32_T
+
+# Checks for library functions.
+AC_FUNC_ERROR_AT_LINE
+AC_FUNC_FORK
+AC_FUNC_STRCOLL
+AC_FUNC_STRTOD
+AC_CHECK_FUNCS([dup2 gethostbyname gettimeofday inet_ntoa memchr memmove 
memset select socket strcasecmp strchr strerror strstr strtol])
+
+# Check for lua-5.1 or luajit
+AC_ARG_WITH([luajit],
+    AS_HELP_STRING([--with-luajit], [Use luajit instead of lua]))
+
+AS_IF([test "x$with_luajit" = "xyes"],
+      [PKG_CHECK_MODULES([LUA], [luajit >= 2], [], [AC_MSG_ERROR([luajit 
requested but not found])])],
+      [PKG_CHECK_MODULES([LUA], [lua5.1], [], [AC_MSG_ERROR([lua-5.1 required 
but not found])])])
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT

diff --git a/dev-db/redis/files/redis-3.2.3-config.patch 
b/dev-db/redis/files/redis-3.2.3-config.patch
new file mode 100644
index 00000000..541e254
--- /dev/null
+++ b/dev-db/redis/files/redis-3.2.3-config.patch
@@ -0,0 +1,40 @@
+diff --git a/redis.conf b/redis.conf
+index 22e00bc..b09de57 100644
+--- a/redis.conf
++++ b/redis.conf
+@@ -147,7 +147,7 @@ supervised no
+ #
+ # Creating a pid file is best effort: if Redis is not able to create it
+ # nothing bad happens, the server will start and run normally.
+-pidfile /var/run/redis_6379.pid
++pidfile /run/redis/redis.pid
+ 
+ # Specify the server verbosity level.
+ # This can be one of:
+@@ -160,7 +160,7 @@ loglevel notice
+ # Specify the log file name. Also the empty string can be used to force
+ # Redis to log on the standard output. Note that if you use standard
+ # output for logging but daemonize, logs will be sent to /dev/null
+-logfile ""
++logfile /var/log/redis/redis.log
+ 
+ # To enable logging to the system logger, just set 'syslog-enabled' to yes,
+ # and optionally update the other syslog parameters to suit your needs.
+@@ -244,7 +244,7 @@ dbfilename dump.rdb
+ # The Append Only File will also be created inside this directory.
+ #
+ # Note that you must specify a directory here, not a file name.
+-dir ./
++dir /var/lib/redis/
+ 
+ ################################# REPLICATION 
#################################
+ 
+@@ -534,7 +534,7 @@ slave-priority 100
+ # limit for maxmemory so that there is some free RAM on the system for slave
+ # output buffers (but this is not needed if the policy is 'noeviction').
+ #
+-# maxmemory <bytes>
++maxmemory 67108864
+ 
+ # MAXMEMORY POLICY: how Redis will select what to remove when maxmemory
+ # is reached. You can select among five behaviors:

diff --git a/dev-db/redis/files/redis-3.2.3-sharedlua.patch 
b/dev-db/redis/files/redis-3.2.3-sharedlua.patch
new file mode 100644
index 00000000..52de904
--- /dev/null
+++ b/dev-db/redis/files/redis-3.2.3-sharedlua.patch
@@ -0,0 +1,60 @@
+diff --git a/deps/lua/src/lua_cjson.c b/deps/lua/src/lua_cjson.c
+index c26c0d7..fa50c41 100644
+--- a/deps/lua/src/lua_cjson.c
++++ b/deps/lua/src/lua_cjson.c
+@@ -46,7 +46,7 @@
+ #include "strbuf.h"
+ #include "fpconv.h"
+ 
+-#include "../../../src/solarisfixes.h"
++#include "solarisfixes.h"
+ 
+ #ifndef CJSON_MODNAME
+ #define CJSON_MODNAME   "cjson"
+diff --git a/src/Makefile b/src/Makefile
+index 648127a..1f96d98 100644
+--- a/src/Makefile
++++ b/src/Makefile
+@@ -15,7 +15,7 @@
+ release_hdr := $(shell sh -c './mkreleasehdr.sh')
+ uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
+ OPTIMIZATION?=-O2
+-DEPENDENCY_TARGETS=hiredis linenoise lua geohash-int
++DEPENDENCY_TARGETS=hiredis linenoise geohash-int
+ 
+ # Default settings
+ STD=-std=c99 -pedantic -DREDIS_STATIC=''
+@@ -56,6 +56,7 @@ endif
+ FINAL_CFLAGS=$(STD) $(WARN) $(OPT) $(DEBUG) $(CFLAGS) $(REDIS_CFLAGS) 
-I../deps/geohash-int
+ FINAL_LDFLAGS=$(LDFLAGS) $(REDIS_LDFLAGS) $(DEBUG)
+ FINAL_LIBS=-lm
++FINAL_LIBS+=@LUA_LIBS@
+ DEBUG=-g -ggdb
+ 
+ ifeq ($(uname_S),SunOS)
+@@ -80,7 +81,7 @@ endif
+ endif
+ endif
+ # Include paths to dependencies
+-FINAL_CFLAGS+= -I../deps/hiredis -I../deps/linenoise -I../deps/lua/src
++FINAL_CFLAGS+= -I../deps/hiredis -I../deps/linenoise @LUA_CFLAGS@
+ 
+ ifeq ($(MALLOC),tcmalloc)
+       FINAL_CFLAGS+= -DUSE_TCMALLOC
+@@ -118,6 +119,7 @@ endif
+ REDIS_SERVER_NAME=redis-server
+ REDIS_SENTINEL_NAME=redis-sentinel
+ REDIS_SERVER_OBJ=adlist.o quicklist.o ae.o anet.o dict.o server.o sds.o 
zmalloc.o lzf_c.o lzf_d.o pqsort.o zipmap.o sha1.o ziplist.o release.o 
networking.o util.o object.o db.o replication.o rdb.o t_string.o t_list.o 
t_set.o t_zset.o t_hash.o config.o aof.o pubsub.o multi.o debug.o sort.o 
intset.o syncio.o cluster.o crc16.o endianconv.o slowlog.o scripting.o bio.o 
rio.o rand.o memtest.o crc64.o bitops.o sentinel.o notify.o setproctitle.o 
blocked.o hyperloglog.o latency.o sparkline.o redis-check-rdb.o geo.o
++REDIS_SERVER_OBJ+=fpconv.o strbuf.o lua_bit.o lua_cjson.o lua_cmsgpack.o 
lua_struct.o
+ REDIS_GEOHASH_OBJ=../deps/geohash-int/geohash.o 
../deps/geohash-int/geohash_helper.o
+ REDIS_CLI_NAME=redis-cli
+ REDIS_CLI_OBJ=anet.o adlist.o redis-cli.o zmalloc.o release.o anet.o ae.o 
crc64.o
+@@ -172,7 +174,7 @@ endif
+ 
+ # redis-server
+ $(REDIS_SERVER_NAME): $(REDIS_SERVER_OBJ)
+-      $(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a 
../deps/lua/src/liblua.a $(REDIS_GEOHASH_OBJ) $(FINAL_LIBS)
++      $(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a $(REDIS_GEOHASH_OBJ) 
$(FINAL_LIBS)
+ 
+ # redis-sentinel
+ $(REDIS_SENTINEL_NAME): $(REDIS_SERVER_NAME)

diff --git a/dev-db/redis/files/redis-3.2.5-shared.patch 
b/dev-db/redis/files/redis-3.2.5-shared.patch
new file mode 100644
index 00000000..7ebff12
--- /dev/null
+++ b/dev-db/redis/files/redis-3.2.5-shared.patch
@@ -0,0 +1,30 @@
+diff --git a/src/Makefile b/src/Makefile
+index fdbe36a..df224ae 100644
+--- a/src/Makefile
++++ b/src/Makefile
+@@ -26,12 +26,7 @@ PREFIX?=/usr/local
+ INSTALL_BIN=$(PREFIX)/bin
+ INSTALL=install
+ 
+-# Default allocator
+-ifeq ($(uname_S),Linux)
+-      MALLOC=jemalloc
+-else
+-      MALLOC=libc
+-endif
++MALLOC?=jemalloc
+ 
+ # Backwards compatibility for selecting an allocator
+ ifeq ($(USE_TCMALLOC),yes)
+@@ -103,9 +98,8 @@ ifeq ($(MALLOC),tcmalloc_minimal)
+ endif
+ 
+ ifeq ($(MALLOC),jemalloc)
+-      DEPENDENCY_TARGETS+= jemalloc
+-      FINAL_CFLAGS+= -DUSE_JEMALLOC -I../deps/jemalloc/include
+-      FINAL_LIBS+= ../deps/jemalloc/lib/libjemalloc.a
++      FINAL_CFLAGS+= -DUSE_JEMALLOC -DJEMALLOC_NO_DEMANGLE
++      FINAL_LIBS+= -ljemalloc -ldl
+ endif
+ 
+ REDIS_CC=$(QUIET_CC)$(CC) $(FINAL_CFLAGS)

diff --git a/dev-db/redis/metadata.xml b/dev-db/redis/metadata.xml
index 4f794b0..c88bca0 100644
--- a/dev-db/redis/metadata.xml
+++ b/dev-db/redis/metadata.xml
@@ -23,5 +23,6 @@
     <flag name="tcmalloc">
       Use tcmalloc from <pkg>dev-util/google-perftools</pkg> for allocations.
     </flag>
+    <flag name="luajit">Use <pkg>dev-lang/luajit</pkg> instead of 
<pkg>dev-lang/lua</pkg></flag>
   </use>
 </pkgmetadata>

diff --git a/dev-db/redis/redis-3.2.5-r1.ebuild 
b/dev-db/redis/redis-3.2.5-r1.ebuild
new file mode 100644
index 00000000..242525a
--- /dev/null
+++ b/dev-db/redis/redis-3.2.5-r1.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic systemd toolchain-funcs user
+
+DESCRIPTION="A persistent caching system, key-value and data structures 
database"
+HOMEPAGE="http://redis.io/";
+SRC_URI="http://download.redis.io/releases/${P}.tar.gz";
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~x86-macos ~x86-solaris"
+IUSE="+jemalloc tcmalloc luajit test"
+SLOT="0"
+
+RDEPEND="luajit? ( dev-lang/luajit:2 )
+       !luajit? ( dev-lang/lua:5.1 )
+       tcmalloc? ( dev-util/google-perftools )
+       jemalloc? ( >=dev-libs/jemalloc-3.2 )"
+DEPEND="virtual/pkgconfig
+       >=sys-devel/autoconf-2.63
+       test? ( dev-lang/tcl:0= )
+       ${RDEPEND}"
+REQUIRED_USE="?? ( tcmalloc jemalloc )"
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+
+pkg_setup() {
+       enewgroup redis 75
+       enewuser redis 75 -1 /var/lib/redis redis
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${PN}-3.2.5-shared.patch \
+               "${FILESDIR}"/${PN}-3.2.3-config.patch \
+               "${FILESDIR}"/${PN}-3.2.3-sharedlua.patch
+       eapply_user
+
+       # Copy lua modules into build dir
+       cp 
"${S}"/deps/lua/src/{fpconv,lua_bit,lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c 
"${S}"/src || die
+       cp "${S}"/deps/lua/src/{fpconv,strbuf}.h "${S}"/src || die
+       # Append cflag for lua_cjson
+       # 
https://github.com/antirez/redis/commit/4fdcd213#diff-3ba529ae517f6b57803af0502f52a40bL61
+       append-cflags "-DENABLE_CJSON_GLOBAL"
+
+       # now we will rewrite present Makefiles
+       local makefiles=""
+       for MKF in $(find -name 'Makefile' | cut -b 3-); do
+               mv "${MKF}" "${MKF}.in"
+               sed -i  -e 's:$(CC):@CC@:g' \
+                       -e 's:$(CFLAGS):@AM_CFLAGS@:g' \
+                       -e 's: $(DEBUG)::g' \
+                       -e 's:$(OBJARCH)::g' \
+                       -e 's:ARCH:TARCH:g' \
+                       -e '/^CCOPT=/s:$: $(LDFLAGS):g' \
+                       "${MKF}.in" \
+               || die "Sed failed for ${MKF}"
+               makefiles+=" ${MKF}"
+       done
+       # autodetection of compiler and settings; generates the modified 
Makefiles
+       cp "${FILESDIR}"/configure.ac-3.2 configure.ac
+       sed -i  \
+               -e "/^AC_INIT/s|, [0-9].+, |, $PV, |" \
+               -e 
"s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
+               configure.ac || die "Sed failed for configure.ac"
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_with luajit)
+
+       # Linenoise can't be built with -std=c99, see 
https://bugs.gentoo.org/451164
+       # geohash-int can't be built with -std=c99 either
+       # also, don't define ANSI/c99 for lua twice
+       sed -i -e "s:-std=c99::g" deps/linenoise/Makefile 
deps/geohash-int/Makefile deps/Makefile || die
+}
+
+src_compile() {
+       tc-export CC AR RANLIB
+
+       local myconf=""
+
+       if use tcmalloc ; then
+               myconf="${myconf} USE_TCMALLOC=yes"
+       elif use jemalloc ; then
+               myconf="${myconf} JEMALLOC_SHARED=yes"
+       else
+               myconf="${myconf} MALLOC=yes"
+       fi
+
+       emake ${myconf} V=1 CC="${CC}" AR="${AR} rcu" RANLIB="${RANLIB}"
+}
+
+src_install() {
+       insinto /etc/
+       doins redis.conf sentinel.conf
+       use prefix || fowners redis:redis /etc/{redis,sentinel}.conf
+       fperms 0644 /etc/{redis,sentinel}.conf
+
+       newconfd "${FILESDIR}/redis.confd" redis
+       newinitd "${FILESDIR}/redis.initd-4" redis
+
+       systemd_newunit "${FILESDIR}/redis.service-2" redis.service
+       systemd_newtmpfilesd "${FILESDIR}/redis.tmpfiles" redis.conf
+
+       dodoc 00-RELEASENOTES BUGS CONTRIBUTING MANIFESTO README.md
+
+       dobin src/redis-cli
+       dosbin src/redis-benchmark src/redis-server src/redis-check-aof 
src/redis-check-rdb
+       fperms 0750 /usr/sbin/redis-benchmark
+       dosym /usr/sbin/redis-server /usr/sbin/redis-sentinel
+
+       if use prefix; then
+               diropts -m0750
+       else
+               diropts -m0750 -o redis -g redis
+       fi
+       keepdir /var/{log,lib}/redis
+}

diff --git a/dev-db/redis/redis-3.2.5.ebuild b/dev-db/redis/redis-3.2.5.ebuild
new file mode 100644
index 00000000..5434093
--- /dev/null
+++ b/dev-db/redis/redis-3.2.5.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic systemd toolchain-funcs user
+
+DESCRIPTION="A persistent caching system, key-value and data structures 
database"
+HOMEPAGE="http://redis.io/";
+SRC_URI="http://download.redis.io/releases/${P}.tar.gz";
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~x86-macos ~x86-solaris"
+IUSE="+jemalloc tcmalloc luajit test"
+SLOT="0"
+
+RDEPEND="luajit? ( dev-lang/luajit:2 )
+       !luajit? ( >=dev-lang/lua-5.1:* )
+       tcmalloc? ( dev-util/google-perftools )
+       jemalloc? ( >=dev-libs/jemalloc-3.2 )"
+DEPEND="virtual/pkgconfig
+       >=sys-devel/autoconf-2.63
+       test? ( dev-lang/tcl:0= )
+       ${RDEPEND}"
+REQUIRED_USE="?? ( tcmalloc jemalloc )"
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+
+pkg_setup() {
+       enewgroup redis 75
+       enewuser redis 75 -1 /var/lib/redis redis
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}"/${PN}-3.2.5-shared.patch \
+               "${FILESDIR}"/${PN}-3.2.3-config.patch \
+               "${FILESDIR}"/${PN}-3.2.3-sharedlua.patch
+       eapply_user
+
+       # Copy lua modules into build dir
+       cp 
"${S}"/deps/lua/src/{fpconv,lua_bit,lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c 
"${S}"/src || die
+       cp "${S}"/deps/lua/src/{fpconv,strbuf}.h "${S}"/src || die
+       # Append cflag for lua_cjson
+       # 
https://github.com/antirez/redis/commit/4fdcd213#diff-3ba529ae517f6b57803af0502f52a40bL61
+       append-cflags "-DENABLE_CJSON_GLOBAL"
+
+       # now we will rewrite present Makefiles
+       local makefiles=""
+       for MKF in $(find -name 'Makefile' | cut -b 3-); do
+               mv "${MKF}" "${MKF}.in"
+               sed -i  -e 's:$(CC):@CC@:g' \
+                       -e 's:$(CFLAGS):@AM_CFLAGS@:g' \
+                       -e 's: $(DEBUG)::g' \
+                       -e 's:$(OBJARCH)::g' \
+                       -e 's:ARCH:TARCH:g' \
+                       -e '/^CCOPT=/s:$: $(LDFLAGS):g' \
+                       "${MKF}.in" \
+               || die "Sed failed for ${MKF}"
+               makefiles+=" ${MKF}"
+       done
+       # autodetection of compiler and settings; generates the modified 
Makefiles
+       cp "${FILESDIR}"/configure.ac-3.2 configure.ac
+       sed -i  \
+               -e "/^AC_INIT/s|, [0-9].+, |, $PV, |" \
+               -e 
"s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
+               -e "/PKG_CHECK_MODULES.*\<LUA\>/s,lua5.1,lua,g" \
+               configure.ac || die "Sed failed for configure.ac"
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_with luajit)
+
+       # Linenoise can't be built with -std=c99, see 
https://bugs.gentoo.org/451164
+       # geohash-int can't be built with -std=c99 either
+       # also, don't define ANSI/c99 for lua twice
+       sed -i -e "s:-std=c99::g" deps/linenoise/Makefile 
deps/geohash-int/Makefile deps/Makefile || die
+}
+
+src_compile() {
+       tc-export CC AR RANLIB
+
+       local myconf=""
+
+       if use tcmalloc ; then
+               myconf="${myconf} USE_TCMALLOC=yes"
+       elif use jemalloc ; then
+               myconf="${myconf} JEMALLOC_SHARED=yes"
+       else
+               myconf="${myconf} MALLOC=yes"
+       fi
+
+       emake ${myconf} V=1 CC="${CC}" AR="${AR} rcu" RANLIB="${RANLIB}"
+}
+
+src_install() {
+       insinto /etc/
+       doins redis.conf sentinel.conf
+       use prefix || fowners redis:redis /etc/{redis,sentinel}.conf
+       fperms 0644 /etc/{redis,sentinel}.conf
+
+       newconfd "${FILESDIR}/redis.confd" redis
+       newinitd "${FILESDIR}/redis.initd-4" redis
+
+       systemd_newunit "${FILESDIR}/redis.service-2" redis.service
+       systemd_newtmpfilesd "${FILESDIR}/redis.tmpfiles" redis.conf
+
+       dodoc 00-RELEASENOTES BUGS CONTRIBUTING MANIFESTO README.md
+
+       dobin src/redis-cli
+       dosbin src/redis-benchmark src/redis-server src/redis-check-aof 
src/redis-check-rdb
+       fperms 0750 /usr/sbin/redis-benchmark
+       dosym /usr/sbin/redis-server /usr/sbin/redis-sentinel
+
+       if use prefix; then
+               diropts -m0750
+       else
+               diropts -m0750 -o redis -g redis
+       fi
+       keepdir /var/{log,lib}/redis
+}

Reply via email to